"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandFactory = void 0;
const utility_1 = require("@jfrog-pipelines/utility");
const NodeStatsCleanupHandler_1 = require("./nodeStats/NodeStatsCleanupHandler");
const NodeStatsCleanupCommand_1 = require("./nodeStats/NodeStatsCleanupCommand");
class CommandFactory {
    static getCommand(payload) {
        const commandPayload = payload.command;
        switch (commandPayload.actor) {
            case utility_1.Actor.nodeStats: {
                return new NodeStatsCleanupCommand_1.NodeStatsCleanupCommand(commandPayload.operation);
            }
            default: {
                throw new Error('Invalid actor');
            }
        }
    }
    static getHandler(command) {
        switch (command.constructor) {
            case NodeStatsCleanupCommand_1.NodeStatsCleanupCommand: {
                return new NodeStatsCleanupHandler_1.NodeStatsCleanupHandler();
            }
            default: {
                throw new Error('Invalid command');
            }
        }
    }
}
exports.CommandFactory = CommandFactory;
//# sourceMappingURL=CommandFactory.js.map