"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BuildPlaneService = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const metadata_1 = require("@jfrog-pipelines/metadata");
const BuildPlaneDao_1 = require("./BuildPlaneDao");
class BuildPlaneService {
    constructor() {
        this.buildPlaneDao = new BuildPlaneDao_1.BuildPlaneDao();
    }
    async getReadyMessageCount(nodePoolID) {
        const queryBuilder = new data_access_layer_1.SequelizeQueryBuilder({}).where('nodePoolId', nodePoolID).where('statusCode', metadata_1.READY);
        return this.buildPlaneDao.count(queryBuilder.build());
    }
    async getReadyMessages(nodePoolID) {
        const queryBuilder = new data_access_layer_1.SequelizeQueryBuilder({}).where('nodePoolId', nodePoolID).where('statusCode', metadata_1.READY);
        return this.buildPlaneDao.findAll(queryBuilder.build());
    }
}
exports.BuildPlaneService = BuildPlaneService;
//# sourceMappingURL=BuildPlaneService.js.map