"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeStatsQuery = void 0;
const NodeStatsDao_1 = require("./NodeStatsDao");
class NodeStatsQuery {
    constructor() {
        this.nodeStatsDao = new NodeStatsDao_1.NodeStatsDao();
    }
    async create(nodeId, projectId, nodeStats, callerId) {
        const newNodeStat = {
            nodeId,
            reportedAt: nodeStats.reportedAt ? new Date(nodeStats.reportedAt) : new Date(),
            createdAt: Date.now(),
            updatedAt: Date.now(),
            diskUsageInPercentage: nodeStats.diskUsageInPercentage,
            memoryUsageInPercentage: nodeStats.memoryUsageInPercentage,
            cpuLoadInPercentage: nodeStats.cpuLoadInPercentage,
            projectId,
            activeContainersCount: nodeStats.activeContainersCount,
            totalContainersCount: nodeStats.totalContainersCount,
            imageCount: nodeStats.imageCount,
            createdBy: callerId,
            updatedBy: callerId
        };
        const result = await this.nodeStatsDao.create(newNodeStat);
        return {
            ...result,
            reportedAt: Number(result.reportedAt.valueOf())
        };
    }
}
exports.NodeStatsQuery = NodeStatsQuery;
//# sourceMappingURL=NodeStatsApi.js.map