"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const expect_1 = __importDefault(require("expect"));
const NodeStatsService_1 = require("../NodeStatsService");
const NodeStatsDao_1 = require("../NodeStatsDao");
describe('Node Stats Service Test', () => {
    const nodeStatService = new NodeStatsService_1.NodeStatsService();
    it('should delete node stats', async () => {
        const reportedBefore = '2023-06-03T18:59:35.494Z';
        const query = new data_access_layer_1.SequelizeQueryBuilder({})
            .whereWithOperator('reportedAt', reportedBefore, data_access_layer_1.operatorsKey.$lt)
            .build();
        const nodeStatDaoDeleteSpy = jest.spyOn(NodeStatsDao_1.NodeStatsDao.prototype, 'delete').mockResolvedValue(1);
        await nodeStatService.deleteNodeStats(reportedBefore);
        (0, expect_1.default)(nodeStatDaoDeleteSpy).toHaveBeenCalledTimes(1);
        (0, expect_1.default)(nodeStatDaoDeleteSpy).toHaveBeenCalledWith(query);
    });
});
//# sourceMappingURL=NodeStatsService.test.js.map